﻿
using Syncfusion.WinRT.Data;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Windows.UI.Xaml.Data;

namespace SfGrid
{
    public class SummaryConverter : IValueConverter
    {
        object IValueConverter.Convert(object value, Type targetType, object parameter, string language)
        {
            var group = value as Group;
            
            switch (parameter.ToString())
            {
                case "Caption":
                    {
                        return group.Key;
                    }
                    break;
                case "Change":
                    {
                        var summaryEntry = group.SummaryDetails.SummaryValues.Find(item => item.Name == "ChangeSummary");
                        var summaryValue = summaryEntry.AggregateValues["Average"];
                        var formattedSummaryValue = string.Format("Average Change : {0}", summaryValue);
                        return formattedSummaryValue;
                    }
                    break;
                case "Open":
                    {
                        var summaryEntry = group.SummaryDetails.SummaryValues.Find(item => item.Name == "OpenSummary");
                        var summaryValue = summaryEntry.AggregateValues["Average"];
                        var formattedSummaryValue = string.Format("Average Open : {0}", summaryValue);
                        return formattedSummaryValue;
                    }
                    break;
            }
            return null;
        }

        object IValueConverter.ConvertBack(object value, Type targetType, object parameter, string language)
        {
            return null;
        }
    }
}
